> ## Documentation Index
> Fetch the complete documentation index at: https://connect.trypost.it/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update social set

> Rename a set or change its color.

<ParamField path="id" type="string" required>
  Set UUID.
</ParamField>

<ParamField body="name" type="string" required>
  Unique on this account. Max 255.
</ParamField>

<ParamField body="color" type="string" required>
  Exactly `#` plus 6 hex digits (e.g. `#2563EB`).
</ParamField>

<RequestExample>
  ```bash theme={null}
  curl -X PUT https://connect.trypost.it/api/social-sets/00000000-0000-0000-0000-000000000000 \
    -H "Authorization: Bearer YOUR_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{"name":"Launch","color":"#2563EB"}'
  ```
</RequestExample>
